Open Lighting Architecture: ola::rdm::DescriptorConsistencyChecker Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::DescriptorConsistencyChecker Class Reference

## Detailed Description

Check that a RDM Descriptor is consistent.

Inheritance diagram for ola::rdm::DescriptorConsistencyChecker:

## Public Member Functions
bool | Descend () const
bool | CheckConsistency (const ola::messaging::Descriptor *descriptor)
void | Visit (const ola::messaging::BoolFieldDescriptor *)
void | Visit (const ola::messaging::IPV4FieldDescriptor *)
void | Visit (const ola::messaging::MACFieldDescriptor *)
void | Visit (const ola::messaging::UIDFieldDescriptor *)
void | Visit (const ola::messaging::StringFieldDescriptor *)
void | Visit (const ola::messaging::UInt8FieldDescriptor *)
void | Visit (const ola::messaging::UInt16FieldDescriptor *)
void | Visit (const ola::messaging::UInt32FieldDescriptor *)
void | Visit (const ola::messaging::Int8FieldDescriptor *)
void | Visit (const ola::messaging::Int16FieldDescriptor *)
void | Visit (const ola::messaging::Int32FieldDescriptor *)
void | Visit (const ola::messaging::FieldDescriptorGroup *)
void | PostVisit (const ola::messaging::FieldDescriptorGroup *)

## Member Function Documentation

## ◆ Descend()

bool ola::rdm::DescriptorConsistencyChecker::Descend | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ PostVisit()

void ola::rdm::DescriptorConsistencyChecker::PostVisit | ( | const ola::messaging::FieldDescriptorGroup * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::BoolFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::Int16FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::Int32FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::Int8FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::IPV4FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::MACFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::StringFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::UIDFieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::UInt16FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::UInt32FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::rdm::DescriptorConsistencyChecker::Visit | ( | const ola::messaging::UInt8FieldDescriptor * |  | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following files:

- common/rdm/DescriptorConsistencyChecker.h
- common/rdm/DescriptorConsistencyChecker.cpp